summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2004-05-10 07:04:59 +0000
committerJim Meyering <jim@meyering.net>2004-05-10 07:04:59 +0000
commit063d037b377a100b7db034204a833312e0e47655 (patch)
treee6e72d918dcf6188af2936450dc130911f805285
parent0ee95541c14695e2ab321c06612d72b43dcd56be (diff)
downloadcoreutils-063d037b377a100b7db034204a833312e0e47655.tar.xz
.
-rwxr-xr-xtests/date/date-tests1197
1 files changed, 0 insertions, 1197 deletions
diff --git a/tests/date/date-tests b/tests/date/date-tests
deleted file mode 100755
index 88b0d4571..000000000
--- a/tests/date/date-tests
+++ /dev/null
@@ -1,1197 +0,0 @@
-#! /bin/sh
-# This script was generated automatically by mk-script.
-case $# in
- 0) xx='../../src/date';;
- *) xx="$1";;
-esac
-test "$VERBOSE" && echo=echo || echo=:
-$echo testing program: $xx
-errors=0
-test "$srcdir" || srcdir=.
-test "$VERBOSE" && $xx --version 2> /dev/null
-
-# Make sure we get English translations.
-LANGUAGE=C
-export LANGUAGE
-LC_ALL=C
-export LC_ALL
-LANG=C
-export LANG
-
-LANG=C TZ=UTC0 $xx -d '1997-01-19 08:17:48 +0' +'%% %a %A %b %B' > 1.O 2> 1.E
-code=$?
-if test $code != 0; then
- $echo "Test 1(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp 1.O $srcdir/1.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed 1(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test 1(LANG=C TZ=UTC0) failed: files 1.O and $srcdir/1.X differ" 1>&2
- (diff -c 1.O $srcdir/1.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test 1(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp 1.O $srcdir/1.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s 1.E || rm -f 1.E
-LANG=C TZ=UTC0 $xx -d '1997-01-19 08:17:48 +0' +'%d_%D_%e_%h_%H' > 3.O 2> 3.E
-code=$?
-if test $code != 0; then
- $echo "Test 3(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp 3.O $srcdir/3.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed 3(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test 3(LANG=C TZ=UTC0) failed: files 3.O and $srcdir/3.X differ" 1>&2
- (diff -c 3.O $srcdir/3.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test 3(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp 3.O $srcdir/3.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s 3.E || rm -f 3.E
-LANG=C TZ=UTC0 $xx -d '1997-01-19 08:17:48 +0' +'%I_%j_%k_%l_%m' > 4.O 2> 4.E
-code=$?
-if test $code != 0; then
- $echo "Test 4(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp 4.O $srcdir/4.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed 4(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test 4(LANG=C TZ=UTC0) failed: files 4.O and $srcdir/4.X differ" 1>&2
- (diff -c 4.O $srcdir/4.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test 4(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp 4.O $srcdir/4.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s 4.E || rm -f 4.E
-LANG=C TZ=UTC0 $xx -d '1997-01-19 08:17:48 +0' +'%M_%n_%p_%r' > 5.O 2> 5.E
-code=$?
-if test $code != 0; then
- $echo "Test 5(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp 5.O $srcdir/5.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed 5(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test 5(LANG=C TZ=UTC0) failed: files 5.O and $srcdir/5.X differ" 1>&2
- (diff -c 5.O $srcdir/5.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test 5(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp 5.O $srcdir/5.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s 5.E || rm -f 5.E
-LANG=C TZ=UTC0 $xx -d '1997-01-19 08:17:48 +0' +'%s_%S_%t_%T' > 6.O 2> 6.E
-code=$?
-if test $code != 0; then
- $echo "Test 6(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp 6.O $srcdir/6.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed 6(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test 6(LANG=C TZ=UTC0) failed: files 6.O and $srcdir/6.X differ" 1>&2
- (diff -c 6.O $srcdir/6.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test 6(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp 6.O $srcdir/6.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s 6.E || rm -f 6.E
-LANG=C TZ=UTC0 $xx -d '1997-01-19 08:17:48 +0' +'%U_%V_%w_%W' > 7.O 2> 7.E
-code=$?
-if test $code != 0; then
- $echo "Test 7(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp 7.O $srcdir/7.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed 7(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test 7(LANG=C TZ=UTC0) failed: files 7.O and $srcdir/7.X differ" 1>&2
- (diff -c 7.O $srcdir/7.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test 7(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp 7.O $srcdir/7.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s 7.E || rm -f 7.E
-LANG=C TZ=UTC0 $xx -d '1997-01-19 08:17:48 +0' +'%x_%X_%y_%Y' > 8.O 2> 8.E
-code=$?
-if test $code != 0; then
- $echo "Test 8(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp 8.O $srcdir/8.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed 8(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test 8(LANG=C TZ=UTC0) failed: files 8.O and $srcdir/8.X differ" 1>&2
- (diff -c 8.O $srcdir/8.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test 8(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp 8.O $srcdir/8.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s 8.E || rm -f 8.E
-LANG=C TZ=UTC0 $xx -d '1997-01-19 08:17:48 +0' +'%z' > 9.O 2> 9.E
-code=$?
-if test $code != 0; then
- $echo "Test 9(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp 9.O $srcdir/9.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed 9(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test 9(LANG=C TZ=UTC0) failed: files 9.O and $srcdir/9.X differ" 1>&2
- (diff -c 9.O $srcdir/9.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test 9(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp 9.O $srcdir/9.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s 9.E || rm -f 9.E
-LANG=C TZ=UTC0 $xx --date '02/29/1996 1 year' +%Y-%m-%d > leap-1.O 2> leap-1.E
-code=$?
-if test $code != 0; then
- $echo "Test leap-1(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp leap-1.O $srcdir/leap-1.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed leap-1(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test leap-1(LANG=C TZ=UTC0) failed: files leap-1.O and $srcdir/leap-1.X differ" 1>&2
- (diff -c leap-1.O $srcdir/leap-1.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test leap-1(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp leap-1.O $srcdir/leap-1.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s leap-1.E || rm -f leap-1.E
-LANG=C TZ=UTC0 $xx --date '1995-1-1' +%U > U95-1.O 2> U95-1.E
-code=$?
-if test $code != 0; then
- $echo "Test U95-1(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp U95-1.O $srcdir/U95-1.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed U95-1(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test U95-1(LANG=C TZ=UTC0) failed: files U95-1.O and $srcdir/U95-1.X differ" 1>&2
- (diff -c U95-1.O $srcdir/U95-1.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test U95-1(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp U95-1.O $srcdir/U95-1.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s U95-1.E || rm -f U95-1.E
-LANG=C TZ=UTC0 $xx --date '1995-1-7' +%U > U95-2.O 2> U95-2.E
-code=$?
-if test $code != 0; then
- $echo "Test U95-2(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp U95-2.O $srcdir/U95-2.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed U95-2(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test U95-2(LANG=C TZ=UTC0) failed: files U95-2.O and $srcdir/U95-2.X differ" 1>&2
- (diff -c U95-2.O $srcdir/U95-2.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test U95-2(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp U95-2.O $srcdir/U95-2.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s U95-2.E || rm -f U95-2.E
-LANG=C TZ=UTC0 $xx --date '1995-1-8' +%U > U95-3.O 2> U95-3.E
-code=$?
-if test $code != 0; then
- $echo "Test U95-3(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp U95-3.O $srcdir/U95-3.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed U95-3(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test U95-3(LANG=C TZ=UTC0) failed: files U95-3.O and $srcdir/U95-3.X differ" 1>&2
- (diff -c U95-3.O $srcdir/U95-3.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test U95-3(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp U95-3.O $srcdir/U95-3.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s U95-3.E || rm -f U95-3.E
-LANG=C TZ=UTC0 $xx --date '1992-1-1' +%U > U92-1.O 2> U92-1.E
-code=$?
-if test $code != 0; then
- $echo "Test U92-1(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp U92-1.O $srcdir/U92-1.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed U92-1(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test U92-1(LANG=C TZ=UTC0) failed: files U92-1.O and $srcdir/U92-1.X differ" 1>&2
- (diff -c U92-1.O $srcdir/U92-1.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test U92-1(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp U92-1.O $srcdir/U92-1.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s U92-1.E || rm -f U92-1.E
-LANG=C TZ=UTC0 $xx --date '1992-1-4' +%U > U92-2.O 2> U92-2.E
-code=$?
-if test $code != 0; then
- $echo "Test U92-2(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp U92-2.O $srcdir/U92-2.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed U92-2(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test U92-2(LANG=C TZ=UTC0) failed: files U92-2.O and $srcdir/U92-2.X differ" 1>&2
- (diff -c U92-2.O $srcdir/U92-2.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test U92-2(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp U92-2.O $srcdir/U92-2.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s U92-2.E || rm -f U92-2.E
-LANG=C TZ=UTC0 $xx --date '1992-1-5' +%U > U92-3.O 2> U92-3.E
-code=$?
-if test $code != 0; then
- $echo "Test U92-3(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp U92-3.O $srcdir/U92-3.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed U92-3(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test U92-3(LANG=C TZ=UTC0) failed: files U92-3.O and $srcdir/U92-3.X differ" 1>&2
- (diff -c U92-3.O $srcdir/U92-3.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test U92-3(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp U92-3.O $srcdir/U92-3.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s U92-3.E || rm -f U92-3.E
-LANG=C TZ=UTC0 $xx --date '1992-1-1' +%V > V92-1.O 2> V92-1.E
-code=$?
-if test $code != 0; then
- $echo "Test V92-1(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp V92-1.O $srcdir/V92-1.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed V92-1(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test V92-1(LANG=C TZ=UTC0) failed: files V92-1.O and $srcdir/V92-1.X differ" 1>&2
- (diff -c V92-1.O $srcdir/V92-1.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test V92-1(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp V92-1.O $srcdir/V92-1.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s V92-1.E || rm -f V92-1.E
-LANG=C TZ=UTC0 $xx --date '1992-1-5' +%V > V92-2.O 2> V92-2.E
-code=$?
-if test $code != 0; then
- $echo "Test V92-2(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp V92-2.O $srcdir/V92-2.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed V92-2(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test V92-2(LANG=C TZ=UTC0) failed: files V92-2.O and $srcdir/V92-2.X differ" 1>&2
- (diff -c V92-2.O $srcdir/V92-2.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test V92-2(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp V92-2.O $srcdir/V92-2.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s V92-2.E || rm -f V92-2.E
-LANG=C TZ=UTC0 $xx --date '1992-1-6' +%V > V92-3.O 2> V92-3.E
-code=$?
-if test $code != 0; then
- $echo "Test V92-3(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp V92-3.O $srcdir/V92-3.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed V92-3(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test V92-3(LANG=C TZ=UTC0) failed: files V92-3.O and $srcdir/V92-3.X differ" 1>&2
- (diff -c V92-3.O $srcdir/V92-3.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test V92-3(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp V92-3.O $srcdir/V92-3.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s V92-3.E || rm -f V92-3.E
-LANG=C TZ=UTC0 $xx --date '1992-1-1' +%W > W92-1.O 2> W92-1.E
-code=$?
-if test $code != 0; then
- $echo "Test W92-1(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp W92-1.O $srcdir/W92-1.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed W92-1(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test W92-1(LANG=C TZ=UTC0) failed: files W92-1.O and $srcdir/W92-1.X differ" 1>&2
- (diff -c W92-1.O $srcdir/W92-1.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test W92-1(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp W92-1.O $srcdir/W92-1.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s W92-1.E || rm -f W92-1.E
-LANG=C TZ=UTC0 $xx --date '1992-1-5' +%W > W92-2.O 2> W92-2.E
-code=$?
-if test $code != 0; then
- $echo "Test W92-2(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp W92-2.O $srcdir/W92-2.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed W92-2(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test W92-2(LANG=C TZ=UTC0) failed: files W92-2.O and $srcdir/W92-2.X differ" 1>&2
- (diff -c W92-2.O $srcdir/W92-2.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test W92-2(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp W92-2.O $srcdir/W92-2.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s W92-2.E || rm -f W92-2.E
-LANG=C TZ=UTC0 $xx --date '1992-1-6' +%W > W92-3.O 2> W92-3.E
-code=$?
-if test $code != 0; then
- $echo "Test W92-3(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp W92-3.O $srcdir/W92-3.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed W92-3(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test W92-3(LANG=C TZ=UTC0) failed: files W92-3.O and $srcdir/W92-3.X differ" 1>&2
- (diff -c W92-3.O $srcdir/W92-3.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test W92-3(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp W92-3.O $srcdir/W92-3.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s W92-3.E || rm -f W92-3.E
-LANG=C TZ=UTC0 $xx --date '1998-1-1 3 years' +%Y > millen-1.O 2> millen-1.E
-code=$?
-if test $code != 0; then
- $echo "Test millen-1(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp millen-1.O $srcdir/millen-1.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed millen-1(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test millen-1(LANG=C TZ=UTC0) failed: files millen-1.O and $srcdir/millen-1.X differ" 1>&2
- (diff -c millen-1.O $srcdir/millen-1.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test millen-1(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp millen-1.O $srcdir/millen-1.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s millen-1.E || rm -f millen-1.E
-LANG=C TZ=UTC0 $xx -d '1997-01-19 08:17:48 +0 now' '+%Y-%m-%d %T' > rel-0.O 2> rel-0.E
-code=$?
-if test $code != 0; then
- $echo "Test rel-0(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp rel-0.O $srcdir/rel-0.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed rel-0(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test rel-0(LANG=C TZ=UTC0) failed: files rel-0.O and $srcdir/rel-0.X differ" 1>&2
- (diff -c rel-0.O $srcdir/rel-0.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test rel-0(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp rel-0.O $srcdir/rel-0.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s rel-0.E || rm -f rel-0.E
-LANG=C TZ=UTC0 $xx -d '1997-01-19 08:17:48 +0 yesterday' '+%Y-%m-%d %T' > rel-1a.O 2> rel-1a.E
-code=$?
-if test $code != 0; then
- $echo "Test rel-1a(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp rel-1a.O $srcdir/rel-1a.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed rel-1a(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test rel-1a(LANG=C TZ=UTC0) failed: files rel-1a.O and $srcdir/rel-1a.X differ" 1>&2
- (diff -c rel-1a.O $srcdir/rel-1a.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test rel-1a(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp rel-1a.O $srcdir/rel-1a.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s rel-1a.E || rm -f rel-1a.E
-LANG=C TZ=UTC0 $xx -d '1997-01-19 08:17:48 +0 tomorrow' '+%Y-%m-%d %T' > rel-1b.O 2> rel-1b.E
-code=$?
-if test $code != 0; then
- $echo "Test rel-1b(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp rel-1b.O $srcdir/rel-1b.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed rel-1b(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test rel-1b(LANG=C TZ=UTC0) failed: files rel-1b.O and $srcdir/rel-1b.X differ" 1>&2
- (diff -c rel-1b.O $srcdir/rel-1b.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test rel-1b(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp rel-1b.O $srcdir/rel-1b.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s rel-1b.E || rm -f rel-1b.E
-LANG=C TZ=UTC0 $xx -d '1997-01-19 08:17:48 +0 6 years ago' '+%Y-%m-%d %T' > rel-2a.O 2> rel-2a.E
-code=$?
-if test $code != 0; then
- $echo "Test rel-2a(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp rel-2a.O $srcdir/rel-2a.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed rel-2a(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test rel-2a(LANG=C TZ=UTC0) failed: files rel-2a.O and $srcdir/rel-2a.X differ" 1>&2
- (diff -c rel-2a.O $srcdir/rel-2a.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test rel-2a(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp rel-2a.O $srcdir/rel-2a.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s rel-2a.E || rm -f rel-2a.E
-LANG=C TZ=UTC0 $xx -d '1997-01-19 08:17:48 +0 7 months ago' '+%Y-%m-%d %T' > rel-2b.O 2> rel-2b.E
-code=$?
-if test $code != 0; then
- $echo "Test rel-2b(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp rel-2b.O $srcdir/rel-2b.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed rel-2b(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test rel-2b(LANG=C TZ=UTC0) failed: files rel-2b.O and $srcdir/rel-2b.X differ" 1>&2
- (diff -c rel-2b.O $srcdir/rel-2b.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test rel-2b(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp rel-2b.O $srcdir/rel-2b.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s rel-2b.E || rm -f rel-2b.E
-LANG=C TZ=UTC0 $xx -d '1997-01-19 08:17:48 +0 8 weeks ago' '+%Y-%m-%d %T' > rel-2c.O 2> rel-2c.E
-code=$?
-if test $code != 0; then
- $echo "Test rel-2c(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp rel-2c.O $srcdir/rel-2c.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed rel-2c(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test rel-2c(LANG=C TZ=UTC0) failed: files rel-2c.O and $srcdir/rel-2c.X differ" 1>&2
- (diff -c rel-2c.O $srcdir/rel-2c.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test rel-2c(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp rel-2c.O $srcdir/rel-2c.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s rel-2c.E || rm -f rel-2c.E
-LANG=C TZ=UTC0 $xx -d '1997-01-19 08:17:48 +0 1 day ago' '+%Y-%m-%d %T' > rel-2d.O 2> rel-2d.E
-code=$?
-if test $code != 0; then
- $echo "Test rel-2d(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp rel-2d.O $srcdir/rel-2d.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed rel-2d(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test rel-2d(LANG=C TZ=UTC0) failed: files rel-2d.O and $srcdir/rel-2d.X differ" 1>&2
- (diff -c rel-2d.O $srcdir/rel-2d.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test rel-2d(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp rel-2d.O $srcdir/rel-2d.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s rel-2d.E || rm -f rel-2d.E
-LANG=C TZ=UTC0 $xx -d '1997-01-19 08:17:48 +0 2 hours ago' '+%Y-%m-%d %T' > rel-2e.O 2> rel-2e.E
-code=$?
-if test $code != 0; then
- $echo "Test rel-2e(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp rel-2e.O $srcdir/rel-2e.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed rel-2e(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test rel-2e(LANG=C TZ=UTC0) failed: files rel-2e.O and $srcdir/rel-2e.X differ" 1>&2
- (diff -c rel-2e.O $srcdir/rel-2e.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test rel-2e(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp rel-2e.O $srcdir/rel-2e.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s rel-2e.E || rm -f rel-2e.E
-LANG=C TZ=UTC0 $xx -d '1997-01-19 08:17:48 +0 3 minutes ago' '+%Y-%m-%d %T' > rel-2f.O 2> rel-2f.E
-code=$?
-if test $code != 0; then
- $echo "Test rel-2f(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp rel-2f.O $srcdir/rel-2f.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed rel-2f(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test rel-2f(LANG=C TZ=UTC0) failed: files rel-2f.O and $srcdir/rel-2f.X differ" 1>&2
- (diff -c rel-2f.O $srcdir/rel-2f.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test rel-2f(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp rel-2f.O $srcdir/rel-2f.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s rel-2f.E || rm -f rel-2f.E
-LANG=C TZ=UTC0 $xx -d '1997-01-19 08:17:48 +0 4 seconds ago' '+%Y-%m-%d %T' > rel-2g.O 2> rel-2g.E
-code=$?
-if test $code != 0; then
- $echo "Test rel-2g(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp rel-2g.O $srcdir/rel-2g.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed rel-2g(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test rel-2g(LANG=C TZ=UTC0) failed: files rel-2g.O and $srcdir/rel-2g.X differ" 1>&2
- (diff -c rel-2g.O $srcdir/rel-2g.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test rel-2g(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp rel-2g.O $srcdir/rel-2g.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s rel-2g.E || rm -f rel-2g.E
-LANG=C TZ=UTC0 $xx -d '1997-01-19 08:17:48 +0 4 seconds ago' '+%Y-%m-%d %T' > rel-3a.O 2> rel-3a.E
-code=$?
-if test $code != 0; then
- $echo "Test rel-3a(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp rel-3a.O $srcdir/rel-3a.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed rel-3a(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test rel-3a(LANG=C TZ=UTC0) failed: files rel-3a.O and $srcdir/rel-3a.X differ" 1>&2
- (diff -c rel-3a.O $srcdir/rel-3a.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test rel-3a(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp rel-3a.O $srcdir/rel-3a.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s rel-3a.E || rm -f rel-3a.E
-LANG=C TZ=UTC0 $xx -d '1997-01-19 08:17:48 +0 next second' '+%Y-%m-%d %T' > next-s.O 2> next-s.E
-code=$?
-if test $code != 0; then
- $echo "Test next-s(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp next-s.O $srcdir/next-s.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed next-s(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test next-s(LANG=C TZ=UTC0) failed: files next-s.O and $srcdir/next-s.X differ" 1>&2
- (diff -c next-s.O $srcdir/next-s.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test next-s(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp next-s.O $srcdir/next-s.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s next-s.E || rm -f next-s.E
-LANG=C TZ=UTC0 $xx -d '1997-01-19 08:17:48 +0 next minute' '+%Y-%m-%d %T' > next-m.O 2> next-m.E
-code=$?
-if test $code != 0; then
- $echo "Test next-m(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp next-m.O $srcdir/next-m.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed next-m(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test next-m(LANG=C TZ=UTC0) failed: files next-m.O and $srcdir/next-m.X differ" 1>&2
- (diff -c next-m.O $srcdir/next-m.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test next-m(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp next-m.O $srcdir/next-m.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s next-m.E || rm -f next-m.E
-LANG=C TZ=UTC0 $xx -d '1997-01-19 08:17:48 +0 next hour' '+%Y-%m-%d %T' > next-h.O 2> next-h.E
-code=$?
-if test $code != 0; then
- $echo "Test next-h(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp next-h.O $srcdir/next-h.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed next-h(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test next-h(LANG=C TZ=UTC0) failed: files next-h.O and $srcdir/next-h.X differ" 1>&2
- (diff -c next-h.O $srcdir/next-h.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test next-h(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp next-h.O $srcdir/next-h.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s next-h.E || rm -f next-h.E
-LANG=C TZ=UTC0 $xx -d '1997-01-19 08:17:48 +0 next day' '+%Y-%m-%d %T' > next-d.O 2> next-d.E
-code=$?
-if test $code != 0; then
- $echo "Test next-d(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp next-d.O $srcdir/next-d.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed next-d(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test next-d(LANG=C TZ=UTC0) failed: files next-d.O and $srcdir/next-d.X differ" 1>&2
- (diff -c next-d.O $srcdir/next-d.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test next-d(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp next-d.O $srcdir/next-d.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s next-d.E || rm -f next-d.E
-LANG=C TZ=UTC0 $xx -d '1997-01-19 08:17:48 +0 next week' '+%Y-%m-%d %T' > next-w.O 2> next-w.E
-code=$?
-if test $code != 0; then
- $echo "Test next-w(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp next-w.O $srcdir/next-w.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed next-w(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test next-w(LANG=C TZ=UTC0) failed: files next-w.O and $srcdir/next-w.X differ" 1>&2
- (diff -c next-w.O $srcdir/next-w.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test next-w(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp next-w.O $srcdir/next-w.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s next-w.E || rm -f next-w.E
-LANG=C TZ=UTC0 $xx -d '1997-01-19 08:17:48 +0 next month' '+%Y-%m-%d %T' > next-mo.O 2> next-mo.E
-code=$?
-if test $code != 0; then
- $echo "Test next-mo(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp next-mo.O $srcdir/next-mo.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed next-mo(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test next-mo(LANG=C TZ=UTC0) failed: files next-mo.O and $srcdir/next-mo.X differ" 1>&2
- (diff -c next-mo.O $srcdir/next-mo.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test next-mo(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp next-mo.O $srcdir/next-mo.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s next-mo.E || rm -f next-mo.E
-LANG=C TZ=UTC0 $xx -d '1997-01-19 08:17:48 +0 next year' '+%Y-%m-%d %T' > next-y.O 2> next-y.E
-code=$?
-if test $code != 0; then
- $echo "Test next-y(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp next-y.O $srcdir/next-y.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed next-y(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test next-y(LANG=C TZ=UTC0) failed: files next-y.O and $srcdir/next-y.X differ" 1>&2
- (diff -c next-y.O $srcdir/next-y.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test next-y(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp next-y.O $srcdir/next-y.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s next-y.E || rm -f next-y.E
-TZ=UTC+4 $xx -u -d '08/01/97 6:00' '+%D,%H:%M' > utc-0.O 2> utc-0.E
-code=$?
-if test $code != 0; then
- $echo "Test utc-0(TZ=UTC+4) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp utc-0.O $srcdir/utc-0.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed utc-0(TZ=UTC+4)"; fi;;
- 1) $echo "Test utc-0(TZ=UTC+4) failed: files utc-0.O and $srcdir/utc-0.X differ" 1>&2
- (diff -c utc-0.O $srcdir/utc-0.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test utc-0(TZ=UTC+4) may have failed." 1>&2
- $echo The command "cmp utc-0.O $srcdir/utc-0.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s utc-0.E || rm -f utc-0.E
-LANG=C TZ=UTC0 $xx -u -d '08/01/97 6:00 UTC +4 hours' '+%D,%H:%M' > utc-0a.O 2> utc-0a.E
-code=$?
-if test $code != 0; then
- $echo "Test utc-0a(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp utc-0a.O $srcdir/utc-0a.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed utc-0a(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test utc-0a(LANG=C TZ=UTC0) failed: files utc-0a.O and $srcdir/utc-0a.X differ" 1>&2
- (diff -c utc-0a.O $srcdir/utc-0a.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test utc-0a(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp utc-0a.O $srcdir/utc-0a.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s utc-0a.E || rm -f utc-0a.E
-TZ=UTC+1 $xx -u --file=- '+%Y-%m-%d %T' < $srcdir/utc-1.I > utc-1.O 2> utc-1.E
-code=$?
-if test $code != 0; then
- $echo "Test utc-1(TZ=UTC+1) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp utc-1.O $srcdir/utc-1.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed utc-1(TZ=UTC+1)"; fi;;
- 1) $echo "Test utc-1(TZ=UTC+1) failed: files utc-1.O and $srcdir/utc-1.X differ" 1>&2
- (diff -c utc-1.O $srcdir/utc-1.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test utc-1(TZ=UTC+1) may have failed." 1>&2
- $echo The command "cmp utc-1.O $srcdir/utc-1.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s utc-1.E || rm -f utc-1.E
-LANG=C TZ=UTC0 $xx -u --file=- '+%Y-%m-%d %T' < $srcdir/utc-1a.I > utc-1a.O 2> utc-1a.E
-code=$?
-if test $code != 0; then
- $echo "Test utc-1a(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp utc-1a.O $srcdir/utc-1a.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed utc-1a(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test utc-1a(LANG=C TZ=UTC0) failed: files utc-1a.O and $srcdir/utc-1a.X differ" 1>&2
- (diff -c utc-1a.O $srcdir/utc-1a.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test utc-1a(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp utc-1a.O $srcdir/utc-1a.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s utc-1a.E || rm -f utc-1a.E
-TZ=UTC+2 $xx -d '1970-01-01 00:00:01' +%s > date2sec-0.O 2> date2sec-0.E
-code=$?
-if test $code != 0; then
- $echo "Test date2sec-0(TZ=UTC+2) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp date2sec-0.O $srcdir/date2sec-0.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed date2sec-0(TZ=UTC+2)"; fi;;
- 1) $echo "Test date2sec-0(TZ=UTC+2) failed: files date2sec-0.O and $srcdir/date2sec-0.X differ" 1>&2
- (diff -c date2sec-0.O $srcdir/date2sec-0.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test date2sec-0(TZ=UTC+2) may have failed." 1>&2
- $echo The command "cmp date2sec-0.O $srcdir/date2sec-0.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s date2sec-0.E || rm -f date2sec-0.E
-LANG=C TZ=UTC0 $xx -d '1970-01-01 00:00:01 UTC +2 hours' +%s > date2sec-0a.O 2> date2sec-0a.E
-code=$?
-if test $code != 0; then
- $echo "Test date2sec-0a(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp date2sec-0a.O $srcdir/date2sec-0a.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed date2sec-0a(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test date2sec-0a(LANG=C TZ=UTC0) failed: files date2sec-0a.O and $srcdir/date2sec-0a.X differ" 1>&2
- (diff -c date2sec-0a.O $srcdir/date2sec-0a.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test date2sec-0a(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp date2sec-0a.O $srcdir/date2sec-0a.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s date2sec-0a.E || rm -f date2sec-0a.E
-LANG=C TZ=UTC0 $xx -d 2000-01-01 +%s > date2sec-1.O 2> date2sec-1.E
-code=$?
-if test $code != 0; then
- $echo "Test date2sec-1(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp date2sec-1.O $srcdir/date2sec-1.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed date2sec-1(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test date2sec-1(LANG=C TZ=UTC0) failed: files date2sec-1.O and $srcdir/date2sec-1.X differ" 1>&2
- (diff -c date2sec-1.O $srcdir/date2sec-1.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test date2sec-1(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp date2sec-1.O $srcdir/date2sec-1.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s date2sec-1.E || rm -f date2sec-1.E
-LANG=C TZ=UTC0 $xx -d '1970-01-01 UTC 946684800 sec' +'%Y-%m-%d %T %z' > sec2date-0.O 2> sec2date-0.E
-code=$?
-if test $code != 0; then
- $echo "Test sec2date-0(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp sec2date-0.O $srcdir/sec2date-0.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed sec2date-0(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test sec2date-0(LANG=C TZ=UTC0) failed: files sec2date-0.O and $srcdir/sec2date-0.X differ" 1>&2
- (diff -c sec2date-0.O $srcdir/sec2date-0.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test sec2date-0(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp sec2date-0.O $srcdir/sec2date-0.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s sec2date-0.E || rm -f sec2date-0.E
-LANG=C TZ=UTC0 $xx -d '1997-01-19 08:17:48 this minute' '+%Y-%m-%d %T' > this-m.O 2> this-m.E
-code=$?
-if test $code != 0; then
- $echo "Test this-m(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp this-m.O $srcdir/this-m.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed this-m(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test this-m(LANG=C TZ=UTC0) failed: files this-m.O and $srcdir/this-m.X differ" 1>&2
- (diff -c this-m.O $srcdir/this-m.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test this-m(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp this-m.O $srcdir/this-m.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s this-m.E || rm -f this-m.E
-LANG=C TZ=UTC0 $xx -d '1997-01-19 08:17:48 this hour' '+%Y-%m-%d %T' > this-h.O 2> this-h.E
-code=$?
-if test $code != 0; then
- $echo "Test this-h(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp this-h.O $srcdir/this-h.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed this-h(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test this-h(LANG=C TZ=UTC0) failed: files this-h.O and $srcdir/this-h.X differ" 1>&2
- (diff -c this-h.O $srcdir/this-h.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test this-h(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp this-h.O $srcdir/this-h.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s this-h.E || rm -f this-h.E
-LANG=C TZ=UTC0 $xx -d '1997-01-19 08:17:48 this week' '+%Y-%m-%d %T' > this-w.O 2> this-w.E
-code=$?
-if test $code != 0; then
- $echo "Test this-w(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp this-w.O $srcdir/this-w.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed this-w(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test this-w(LANG=C TZ=UTC0) failed: files this-w.O and $srcdir/this-w.X differ" 1>&2
- (diff -c this-w.O $srcdir/this-w.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test this-w(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp this-w.O $srcdir/this-w.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s this-w.E || rm -f this-w.E
-LANG=C TZ=UTC0 $xx -d '1997-01-19 08:17:48 this month' '+%Y-%m-%d %T' > this-mo.O 2> this-mo.E
-code=$?
-if test $code != 0; then
- $echo "Test this-mo(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp this-mo.O $srcdir/this-mo.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed this-mo(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test this-mo(LANG=C TZ=UTC0) failed: files this-mo.O and $srcdir/this-mo.X differ" 1>&2
- (diff -c this-mo.O $srcdir/this-mo.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test this-mo(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp this-mo.O $srcdir/this-mo.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s this-mo.E || rm -f this-mo.E
-LANG=C TZ=UTC0 $xx -d '1997-01-19 08:17:48 this year' '+%Y-%m-%d %T' > this-y.O 2> this-y.E
-code=$?
-if test $code != 0; then
- $echo "Test this-y(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp this-y.O $srcdir/this-y.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed this-y(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test this-y(LANG=C TZ=UTC0) failed: files this-y.O and $srcdir/this-y.X differ" 1>&2
- (diff -c this-y.O $srcdir/this-y.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test this-y(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp this-y.O $srcdir/this-y.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s this-y.E || rm -f this-y.E
-LANG=C TZ=UTC0 $xx -d 'Nov 10 1996' '+%Y-%m-%d %T' > risks-1.O 2> risks-1.E
-code=$?
-if test $code != 0; then
- $echo "Test risks-1(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp risks-1.O $srcdir/risks-1.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed risks-1(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test risks-1(LANG=C TZ=UTC0) failed: files risks-1.O and $srcdir/risks-1.X differ" 1>&2
- (diff -c risks-1.O $srcdir/risks-1.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test risks-1(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp risks-1.O $srcdir/risks-1.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s risks-1.E || rm -f risks-1.E
-LANG=C $xx -u -d '1996-11-10 0:00:00 +0' '+%Y-%m-%d %T' > regress-1.O 2> regress-1.E
-code=$?
-if test $code != 0; then
- $echo "Test regress-1(LANG=C) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp regress-1.O $srcdir/regress-1.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed regress-1(LANG=C)"; fi;;
- 1) $echo "Test regress-1(LANG=C) failed: files regress-1.O and $srcdir/regress-1.X differ" 1>&2
- (diff -c regress-1.O $srcdir/regress-1.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test regress-1(LANG=C) may have failed." 1>&2
- $echo The command "cmp regress-1.O $srcdir/regress-1.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s regress-1.E || rm -f regress-1.E
-LANG=C TZ=UTC0 $xx -d 000909 '+%Y-%m-%d %T' > datevtime-1.O 2> datevtime-1.E
-code=$?
-if test $code != 0; then
- $echo "Test datevtime-1(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp datevtime-1.O $srcdir/datevtime-1.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed datevtime-1(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test datevtime-1(LANG=C TZ=UTC0) failed: files datevtime-1.O and $srcdir/datevtime-1.X differ" 1>&2
- (diff -c datevtime-1.O $srcdir/datevtime-1.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test datevtime-1(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp datevtime-1.O $srcdir/datevtime-1.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s datevtime-1.E || rm -f datevtime-1.E
-LC_ALL=de_DE TZ=UTC0 $xx -R -d '1997-01-19 08:17:48 +0' > rfc822-1.O 2> rfc822-1.E
-code=$?
-if test $code != 0; then
- $echo "Test rfc822-1(LC_ALL=de_DE TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp rfc822-1.O $srcdir/rfc822-1.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed rfc822-1(LC_ALL=de_DE TZ=UTC0)"; fi;;
- 1) $echo "Test rfc822-1(LC_ALL=de_DE TZ=UTC0) failed: files rfc822-1.O and $srcdir/rfc822-1.X differ" 1>&2
- (diff -c rfc822-1.O $srcdir/rfc822-1.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test rfc822-1(LC_ALL=de_DE TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp rfc822-1.O $srcdir/rfc822-1.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s rfc822-1.E || rm -f rfc822-1.E
-LANG=C TZ=UTC0 $xx --utc -d '1970-01-01 00:00:00 UTC +961062237 sec' '+%Y-%m-%d %T' > relative-1.O 2> relative-1.E
-code=$?
-if test $code != 0; then
- $echo "Test relative-1(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp relative-1.O $srcdir/relative-1.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed relative-1(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test relative-1(LANG=C TZ=UTC0) failed: files relative-1.O and $srcdir/relative-1.X differ" 1>&2
- (diff -c relative-1.O $srcdir/relative-1.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test relative-1(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp relative-1.O $srcdir/relative-1.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s relative-1.E || rm -f relative-1.E
-TZ=UTC+1 $xx --utc -d '1970-01-01 UTC +961062237 sec' '+%Y-%m-%d %T' > relative-2.O 2> relative-2.E
-code=$?
-if test $code != 0; then
- $echo "Test relative-2(TZ=UTC+1) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp relative-2.O $srcdir/relative-2.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed relative-2(TZ=UTC+1)"; fi;;
- 1) $echo "Test relative-2(TZ=UTC+1) failed: files relative-2.O and $srcdir/relative-2.X differ" 1>&2
- (diff -c relative-2.O $srcdir/relative-2.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test relative-2(TZ=UTC+1) may have failed." 1>&2
- $echo The command "cmp relative-2.O $srcdir/relative-2.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s relative-2.E || rm -f relative-2.E
-LANG=C TZ=UTC0 $xx -d '1999-06-01' +%3004Y > wide-fmt.O 2> wide-fmt.E
-code=$?
-if test $code != 0; then
- $echo "Test wide-fmt(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp wide-fmt.O $srcdir/wide-fmt.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed wide-fmt(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test wide-fmt(LANG=C TZ=UTC0) failed: files wide-fmt.O and $srcdir/wide-fmt.X differ" 1>&2
- (diff -c wide-fmt.O $srcdir/wide-fmt.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test wide-fmt(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp wide-fmt.O $srcdir/wide-fmt.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s wide-fmt.E || rm -f wide-fmt.E
-LANG=C TZ=UTC0 $xx --iso -d May-23-2003 > moname-d-y.O 2> moname-d-y.E
-code=$?
-if test $code != 0; then
- $echo "Test moname-d-y(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp moname-d-y.O $srcdir/moname-d-y.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed moname-d-y(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test moname-d-y(LANG=C TZ=UTC0) failed: files moname-d-y.O and $srcdir/moname-d-y.X differ" 1>&2
- (diff -c moname-d-y.O $srcdir/moname-d-y.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test moname-d-y(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp moname-d-y.O $srcdir/moname-d-y.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s moname-d-y.E || rm -f moname-d-y.E
-LANG=C TZ=UTC0 $xx --iso=sec -d @31536000 > epoch.O 2> epoch.E
-code=$?
-if test $code != 0; then
- $echo "Test epoch(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp epoch.O $srcdir/epoch.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed epoch(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test epoch(LANG=C TZ=UTC0) failed: files epoch.O and $srcdir/epoch.X differ" 1>&2
- (diff -c epoch.O $srcdir/epoch.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test epoch(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp epoch.O $srcdir/epoch.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s epoch.E || rm -f epoch.E
-LANG=C TZ=UTC0 $xx --iso=ns -d "1969-12-31 13:00:00.00000001-1100" > ns-10.O 2> ns-10.E
-code=$?
-if test $code != 0; then
- $echo "Test ns-10(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp ns-10.O $srcdir/ns-10.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed ns-10(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test ns-10(LANG=C TZ=UTC0) failed: files ns-10.O and $srcdir/ns-10.X differ" 1>&2
- (diff -c ns-10.O $srcdir/ns-10.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test ns-10(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp ns-10.O $srcdir/ns-10.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s ns-10.E || rm -f ns-10.E
-LANG=C TZ=UTC0 $xx --iso=ns -d "2038-01-19 03:14:07.999999999" > ns-max32.O 2> ns-max32.E
-code=$?
-if test $code != 0; then
- $echo "Test ns-max32(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp ns-max32.O $srcdir/ns-max32.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed ns-max32(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test ns-max32(LANG=C TZ=UTC0) failed: files ns-max32.O and $srcdir/ns-max32.X differ" 1>&2
- (diff -c ns-max32.O $srcdir/ns-max32.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test ns-max32(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp ns-max32.O $srcdir/ns-max32.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s ns-max32.E || rm -f ns-max32.E
-LANG=C TZ=UTC0 $xx --iso=ns -d'1970-01-01 00:00:00.1234567 UTC +961062237.987654321 sec' > ns-relative.O 2> ns-relative.E
-code=$?
-if test $code != 0; then
- $echo "Test ns-relative(LANG=C TZ=UTC0) failed: $xx return code $code differs from expected value 0" 1>&2
- errors=`expr $errors + 1`
-else
- cmp ns-relative.O $srcdir/ns-relative.X > /dev/null 2>&1
- case $? in
- 0) if test "$VERBOSE"; then $echo "passed ns-relative(LANG=C TZ=UTC0)"; fi;;
- 1) $echo "Test ns-relative(LANG=C TZ=UTC0) failed: files ns-relative.O and $srcdir/ns-relative.X differ" 1>&2
- (diff -c ns-relative.O $srcdir/ns-relative.X) 2> /dev/null
- errors=`expr $errors + 1`;;
- 2) $echo "Test ns-relative(LANG=C TZ=UTC0) may have failed." 1>&2
- $echo The command "cmp ns-relative.O $srcdir/ns-relative.X" failed. 1>&2
- errors=`expr $errors + 1`;;
- esac
-fi
-test -s ns-relative.E || rm -f ns-relative.E
-if test $errors = 0; then
- $echo Passed all 65 tests. 1>&2
-else
- $echo Failed $errors tests. 1>&2
-fi
-test $errors = 0 || errors=1
-exit $errors